#= Totorial of deepconv/arare: rakuraku deepconv
#
# Authors::   SUGIYAMA Ko-ichiro, ODAKA Masatsugu
# Version::   $Id: namelist_init.rd,v 1.1 2014/03/04 04:44:05 sugiyama Exp $
# Tag Name::  $Name: arare5-20150219 $
# Copyright:: Copyright (C) GFD Dennou Club, 2006. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
#
########################################################################
#
=begin TOPLINK
[((<GFD Dennou Club|URL:http://www.gfd-dennou.org>)) |
((<deepconv Project|URL:http://www.gfd-dennou.org/library/deepconv>))]
[((<deepconv Reference Manual|URL:../index.htm>))]
=end TOPLINK

=begin

= եγ


== 

ܾ (FlagBasic) Ⱦ (FlagDisturb...) ꤹ. 
ܾɬ.  1 İʾꤹɬפ. 

  &initialdata_nml
    !
    ! [ɬ] ܾ. ʲ򤹤뤳. 
    !
    ! FlagBasic = "IsoThermal"   ! ׻ΰβٰ
    ! FlagBasic = "Dry"          ! Ǯʴܾ
    ! FlagBasic = "Sounding"     ! ǥ󥰥եͿ
    ! FlagBasic = "Yamasaki1983" ! Yamasaki et al (1983) Ϥܾ
    ! FlagBasic = "Takemi2007"   ! Takemi (2007) Ϥܾ
    ! FlagBasic = "Toon2002"     ! Toon et al. (2002) Ϥܾ
    ! FlagBasic = "Baker1998"    ! deepconv/arare4 νϤ
    ! FlagBasic = "Arare4"       ! deepconv/arare4 νϤ
    ! FlagBasic = "Arare4mmc"    ! deepconv/arare4 (׻) νϤ
    ! 
    ! ̤ξ. ʲǽ. 
    !
    ! FlagDisturbPTemp = "GaussXY"   !  (XY ʿ, Z )
    ! FlagDisturbPTemp = "GaussXZ"   !  (XZ ʿ, Y )
    ! FlagDisturbPTemp = "GaussYZ"   !  (YZ ʿ, X )
    ! FlagDisturbPTemp = "GaussXYZ"  !  (XY ʿ, 3 Ūʬ)
    ! FlagDisturbPTemp = "Random"    ! 
    ! FlagDisturbPTemp = "Rectangle" ! 
    ! FlagDisturbPTemp = "CosXY"     ! cos (XY ʿ, Z )
    ! FlagDisturbPTemp = "CosXZ"     ! cos (XZ ʿ, Y )
    ! FlagDisturbPTemp = "CosYZ"     ! cos (YZ ʿ, X )
    ! FlagDisturbPTemp = "CosXYZ"    ! cos 
    ! FlagDisturbPTemp = "ConeXY"    ! ߿
    ! FlagDisturbPTemp = "ConeXZ"    ! ߿
    ! FlagDisturbPTemp = "ConeYZ"    ! ߿
    ! FlagDisturbPTemp = "tanh"      ! tanh Υ
    !
    ! ʡؿξ. ʲǽ. 
    ! 
    ! FlagDisturbExner = "GaussXY"   !  (XY ʿ, Z )
    ! FlagDisturbExner = "GaussXZ"   !  (XZ ʿ, Y )
    ! FlagDisturbExner = "GaussYZ"   !  (YZ ʿ, X )
    ! FlagDisturbExner = "GaussXYZ"  !  
    ! FlagDisturbExner = "CosXY"     ! cos (XY ʿ, Z )
    ! FlagDisturbExner = "CosXZ"     ! cos (XZ ʿ, Y )
    ! FlagDisturbExner = "CosYZ"     ! cos (YZ ʿ, X )
    ! FlagDisturbExner = "CosXYZ"    ! cos
    ! FlagDisturbExner = "ConeXY"    ! ߿
    ! FlagDisturbExner = "ConeXZ"    ! ߿
    ! FlagDisturbExner = "ConeYZ"    ! ߿
    !
    ! ŷʬκ. ʲǽ. 
    !
    ! FlagDisturbQMix = "GaussXY"    !  (XY ʿ, Z )
    ! FlagDisturbQMix = "GaussXZ"    !  (XZ ʿ, Y )
    ! FlagDisturbQMix = "GaussYZ"    !  (YZ ʿ, X )
    ! FlagDisturbQMix = "GaussXYZ"   ! 
    ! FlagDisturbQMix = "Dryreg"     ! ΰ
#    ! FlagDisturbQMix = "Moist"      ! ?
    ! FlagDisturbQMix = "CosXY"      ! cos (XY ʿ, Z )
    ! FlagDisturbQMix = "CosXZ"      ! cos (XZ ʿ, Y )
    ! FlagDisturbQMix = "CosYZ"      ! cos (YZ ʿ, X )
    ! FlagDisturbQMix = "CosXYZ"     ! cos
    ! FlagDisturbQMix = "ConeXY"     ! ߿
    ! FlagDisturbQMix = "ConeXZ"     ! ߿
    ! FlagDisturbQMix = "ConeYZ"     ! ߿
    !
    ! ®پκ. ʲǽ. 
    !
    ! FlagDisturbWind = "Takemi2007" ! Takemi (2007) Ϥ®پ
    ! FlagDisturbWind = "Sounding"   ! ǥ󥰥ե뤫®پͿ
    ! FlagDisturbWind = "Zonal"      ! ʿͤ®پ
    ! FlagDisturbWind = "tanh"       ! tanh Υ
    !
    ! FlagDisturb = "Arare4"         ! deepconv/arare4 νϤ
    ! FlagDisturb = "Arare4mmc"      ! deepconv/arare4 (׻) νϤ
  /

== ܾκݤɬפȤʤ

=== FlagBasic = "IsoThermal" ξ

äˤʤ. 

=== FlagBasic = "Dry" ξ

  &initialdata_basic_nml
     Humidity
     TempTr
     DHeight
     HeightTr
  /

=== FlagBasic = "Sounding"  ξ

  &initialdata_sounding_nml
     SoundingFile = ""     ! ǥ󥰥ե
     AltCol       = 0      ! ֹ١פֹ (ǥ󥰥ե)
     TempCol      = 0      ! ֲ١פֹ (ǥ󥰥ե)
     PressCol     = 0      ! ְϡפֹ (ǥ󥰥ե)
     VelXCol      = 0      ! X ®١פֹ (ǥ󥰥ե)
     VelYCol      = 0      ! Y ®١פֹ (ǥ󥰥ե)
     !
     ! ʲξ, ꤷ٤ٰطꤹɬ.
     !
     AltTr        = 0      ! ή̤ι
     DelAlt       = 4.0d3  ! ٸΨ򥼥˴¤ޤǤεΥ
  /

=== FlagBasic = "Yamasaki1983" 

äꤹɬפϤʤ. 
Ūͤ, ((<ͤη׻|URL:http://www.gfd-dennou.org/library/deepconv/sample/2011-06-23_sugiyama/Init/exp.htm>)) .


=== FlagBasic = "Takemi2007" 

ܾꤹ. 
Ūͤ, ((<ͤη׻|URL:http://www.gfd-dennou.org/library/deepconv/sample/2011-06-23_sugiyama/Init/exp.htm>)) .

  &initialdata_takemi2007_nml
    ! 
    ! ܾ
    !
    ! FlagEnv = "MidLat_Q10"
    ! FlagEnv = "MidLat_Q12"
    ! FlagEnv = "MidLat_Q14"
    ! FlagEnv = "MidLat_Q16"
    ! FlagEnv = "MidLat_Q16DRY1"
    ! FlagEnv = "MidLat_Q16DRY2"
    ! FlagEnv = "MidLat_Q18"
    ! FlagEnv = "Tropic_Q18"
    ! FlagEnv = "Tropic_Q18DRY1"
    ! FlagEnv = "Tropic_Q18DRY2"
    ! FlagEnv = "Tropic_Q18DRY3"
    !
    !! ®پ (ľץե) 
    !!
    !! FlagWind = "LowLevel"
    !! FlagWind = "MiddleLevel"
    !! FlagWind = "HighLevel"
    !!
    !! ɽն®
    !!
    !! VelXSfc = 0.0d0
  /

=== FlagBasic = "Toon2002"

äꤹɬפϤʤ. 
Ūͤ, ((<ͤη׻|URL:http://www.gfd-dennou.org/library/deepconv/sample/2011-06-23_sugiyama/Init/exp.htm>)) .

=== FlagBasic = "Baker1998"

äꤹɬפϤʤ. 

=== FlagBasic = "Arare4" or "Arare4mmc" ξ

deepconv/arare4 νϤ򸵤˴ܾ졦ˤϰʲԤ. 

  &arare4fileio_nml
    Arare4Prefix = ""   ! deepconv/arare4 ΥեƬ
  /


== ɬפȤʤ 

===  [, ʡؿ, ]

FlagDisturbPTemp, FlagDisturbExner, FlagDisturbQMix ʤɤ, 
(({"Gauss..."})) 򤷤, 
initialdata_disturb_gauss_nml Ԥ. 

  &initialdata_disturb_gauss_nml
     PTempMax = 1.0d0      ! ̾κ
     ExnerMax = 0.01d0     ! ʡؿκ
     QMixMax  = 1.0d-2     !  () κ
     Xc       = 1000.0d0   ! ɸ濴 (X )
     Xr       = 100.0d0    ! Ⱦ (X )
     Yc       = 1000.0d0   ! ɸ濴 (Y )
     Yr       = 100.0d0    ! Ⱦ (Y )
     Zc       = 1000.0d0   ! ɸ濴 (Z )
     Zr       = 100.0d0    ! Ⱦ (Z )
  /

: ɬפͤΤꤹɤ. 㤨, (({FlagDisturbPTemp = "GaussXY"})) 
ꤷˤ, ʲΤ褦ꤹнʬǤ. 

  &initialdata_disturb_gauss_nml
     PTempMax = 1.0d0      ! ̾κ
     Xc       = 1000.0d0   ! ɸ濴 (X )
     Xr       = 100.0d0    ! Ⱦ (X )
     Yc       = 1000.0d0   ! ɸ濴 (Y )
     Yr       = 100.0d0    ! Ⱦ (Y )
  /


=== Ѵؿ [, ʡؿ, ]

FlagDisturbPTemp, FlagDisturbExner, FlagDisturbQMix ʤɤ, 
(({"Cos..."})) 򤷤, 
initialdata_disturb_cos_nml Ԥ. 

  &initialdata_disturb_cos_nml
     PTempMax = 1.0d0      ! ̾κ
     ExnerMax = 0.01d0     ! ʡؿκ
     QMixMax  = 1.0d-2     !  () κ
     Xc       = 1000.0d0   ! ɸ濴 (X )
     Xr       = 100.0d0    ! Ⱦ (X )
     Yc       = 1000.0d0   ! ɸ濴 (Y )
     Yr       = 100.0d0    ! Ⱦ (Y )
     Zc       = 1000.0d0   ! ɸ濴 (Z )
     Zr       = 100.0d0    ! Ⱦ (Z )
  /

: ɬפͤΤꤹɤ. 㤨, (({FlagDisturbPTemp = "CosXY"})) 
ꤷˤ, ʲΤ褦ꤹнʬǤ. 

  &initialdata_disturb_cos_nml
     PTempMax = 1.0d0      ! ̾κ
     Xc       = 1000.0d0   ! ɸ濴 (X )
     Xr       = 100.0d0    ! Ⱦ (X )
     Yc       = 1000.0d0   ! ɸ濴 (Y )
     Yr       = 100.0d0    ! Ⱦ (Y )
  /


=== ߿ [, ʡؿ, ]

FlagDisturbPTemp, FlagDisturbExner, FlagDisturbQMix ʤɤ, 
(({"Cone..."})) 򤷤, 
initialdata_disturb_cone_nml Ԥ. 

  &initialdata_disturb_cone_nml
     PTempMax = 1.0d0      ! ̾κ
     ExnerMax = 0.01d0     ! ʡؿκ
     QMixMax  = 1.0d-2     !  () κ
     Xc       = 1000.0d0   ! ɸ濴 (X )
     Xr       = 100.0d0    ! Ⱦ (X )
     Yc       = 1000.0d0   ! ɸ濴 (Y )
     Yr       = 100.0d0    ! Ⱦ (Y )
     Zc       = 1000.0d0   ! ɸ濴 (Z )
     Zr       = 100.0d0    ! Ⱦ (Z )
  /

: ɬפͤΤꤹɤ. 㤨, (({FlagDisturbPTemp = "ConeXY"})) 
ꤷˤ, ʲΤ褦ꤹнʬǤ. 

  &initialdata_disturb_cone_nml
     PTempMax = 1.0d0      ! ̾κ
     Xc       = 1000.0d0   ! ɸ濴 (X )
     Xr       = 100.0d0    ! Ⱦ (X )
     Yc       = 1000.0d0   ! ɸ濴 (Y )
     Yr       = 100.0d0    ! Ⱦ (Y )
  /

===  []

Ȥ٤˥ʾꤹ (FlagDisturbPTemp = "Random"), 
initialdata_disturb_random_nml Ԥ. 

  &initialdata_disturb_random_nml
     PTempMax = 1.0d0      ! κ
     Zpos     = 1.0d3      ! ֤
  /

===  [], DryReg []

ΰΤ߲٤Ѳ (FlagDisturbPTemp = "Rectangle"), 
initialdata_disturb_rectangle_nml Ԥ. 

  &initialdata_disturb_rectangle_nml
     PTempMax = 1.0d0      ! ̤ʬ
     XposMin  = 0.0d0      ! X λ
     XposMax  = 1.0d2      ! X ν
     YposMin  = 0.0d0      ! Y λ
     YposMax  = 1.0d2      ! Y ν
     ZposMin  = 0.0d0      ! Z λ
     ZposMax  = 1.0d2      ! Z ν
  /

ΰζŷʪκ򥼥ˤ (FlagDisturbQMix = "DryReg") , 
initialdata_disturb_rectangle_nml Ԥ. 

  &initialdata_disturb_rectangle_nml
     XposMin  = 0.0d0      ! X λ
     XposMax  = 1.0d2      ! X ν
     YposMin  = 0.0d0      ! Y λ
     YposMax  = 1.0d2      ! Y ν
     ZposMin  = 0.0d0      ! Z λ
     ZposMax  = 1.0d2      ! Z ν
  /

=== tanh [, ®پ] 

ӥ󡦥إۥ԰νͤѤ褦 tanh ΥͿ 
(FlagDisturbPTemp = "tanh" & FlagDisturbWind = "tanh"), 
initialdata_disturb_tanh_nml ꤹ. 

  &initialdata_disturb_tanh_nml
     PTempMean  = ʿѲ
     PTempDel   = ؤξ岼β̺     
     VelMean    = ʿ®
     Zc         = ؤ濴ι
     Zr         = ؤθ
  /

=== Zonal [®پ]

ͤ®Ϳ (FlagDisturbWind = "Zonal"), 
initialdata_disturb_wind_zonal_nml ꤹ. 

  &initialdata_disturb_wind_zonal_nml/ &
    VelX0 = 10.0d0
    VelY0 = 10.0d0
    VelZ0 = 10.0d0
  /

=== Sounding [®پ]

  &initialdata_sounding_nml
     SoundingFile = ""     ! ǥ󥰥ե
     VelXCol      = 0      ! X ®١פֹ (ǥ󥰥ե)
     VelYCol      = 0      ! Y ®١פֹ (ǥ󥰥ե)
  /

=== Takemi2007 [®پ]

®پꤹ. 

  &initialdata_takemi2007_nml
    !! 
    !! ܾ
    !!
    !! FlagEnv = "MidLat_Q10"
    !! FlagEnv = "MidLat_Q12"
    !! FlagEnv = "MidLat_Q14"
    !! FlagEnv = "MidLat_Q16"
    !! FlagEnv = "MidLat_Q16DRY1"
    !! FlagEnv = "MidLat_Q16DRY2"
    !! FlagEnv = "MidLat_Q18"
    !! FlagEnv = "Tropic_Q18"
    !! FlagEnv = "Tropic_Q18DRY1"
    !! FlagEnv = "Tropic_Q18DRY2"
    !! FlagEnv = "Tropic_Q18DRY3"
    !!
    ! ®پ (ľץե) 
    !
    ! FlagWind = "LowLevel"
    ! FlagWind = "MiddleLevel"
    ! FlagWind = "HighLevel"
    !
    ! ɽն®
    !
    ! VelXSfc = 0.0d0
  /

=== "Arare4" or "Arare4mmc" ξ

deepconv/arare4 νϤ򸵤˴ܾ졦ˤϰʲԤ. 

  &arare4fileio_nml
    Arare4Prefix = ""   ! deepconv/arare4 ΥեƬ
  /

=end
